Su WordPress puede estar en peligro a partir de Diciembre 2018

Si tiene una página web realizada con el sistema de gestión de contenidos “Wordpress” y la versión de PHP es 5.6 o 7.0, Su sitio web puede estar en peligro a partir de Diciembre de 2018.

El 57,1% de páginas webs desarrolladas con Wordpress están realizadas con las versiones de PHP 5.6 y 7.0, estas dejarán de recibir actualizaciones de seguridad en diciembre de 2018. No se emitirán parches de seguridad para esas versiones de PHP después de esa fecha, lo que hará que esos sitios sean menos seguros en el futuro.

Eso podría significar una pérdida de tráfico y una pesadilla de clasificación para los sitios web de WordPress que aún utilizan esas versiones antiguas de PHP en caso de una vulnerabilidad.

Versiones PHP de Wordpress

¿Qué es PHP?

PHP es un lenguaje de scripting que permite la creación de sitios web. Hay diferentes versiones. Cada versión representa una mejora de la versión anterior. A medida que se crea cada versión, el software (como WordPress) se actualiza para poder aprovechar las últimas mejoras de rendimiento.

¿Cuándo terminan las actualizaciones de seguridad?

  • Las actualizaciones de seguridad para PHP 5.6 terminan el 31 de diciembre de 2018.
  • Las actualizaciones de seguridad para PHP 7.0 terminan el 3 de diciembre de 2018.
Fecha fin de revisiones de seguridad de PHP | Fuente PHP Soporte de Versiones

¿Por qué termina el soporte de seguridad?

El soporte de seguridad para cada versión está programado para durar una cantidad limitada de años hasta que alcance lo que se conoce como Fin de vida útil (EOL). En este punto, no se crearán más mejoras de seguridad, incluso si se descubre una vulnerabilidad.

¿Qué pasa si no puede actualizar PHP?

Todos los sitios web que no se actualicen a la última versión de PHP serán inseguros y vulnerables a los eventos de piratería una vez que las versiones 5.6 y 7.0 ingresan en su período de fin de vida (EOL). Esto significa que incluso si se descubren vulnerabilidades de seguridad, nadie hará un parche para corregir las vulnerabilidades en las versiones de PHP.

Además, muchos complementos, temas y el propio WordPress eventualmente dejarán de funcionar con estas versiones de PHP.

Si ejecuta un sitio web de WordPress, la acción más prudente es actualizar a la última versión de PHP.

¿Cómo identificar qué versión de PHP está en uso?

La forma más sencilla de saberlo es iniciar sesión en el panel de control de su alojamiento y encontrar un enlace a una sección centrada en PHP. Existen herramientas en línea que pueden indicarle, pero es mejor iniciar sesión directamente en su panel de control y verificarlo usted mismo.

También hay complementos que te pueden decir qué versión estás usando. Por ejemplo, el complemento phpinfo() de WordPress es un complemento fácil de usar que puede decirle qué versión de PHP usa su sitio de WordPress. Una vez que sepa en qué versión de PHP está ejecutando el sitio, puede eliminar el complemento.

Alternativamente, puede llamar al soporte de su proveedor de alojamiento y pedir ayuda para identificar qué versión está usando su sitio e instrucciones sobre cómo actualizar.

Cómo actualizar PHP desde 5.6 / 7.0 a la última versión

Paso 1 | Copia de seguridad de su sitio.

Es importante hacer una copia de seguridad de su WordPress. La forma más sencilla de hacerlo es con el plugin UpDraftPlus.

Paso 2 | Comprobar la compatibilidad del complemento

Asegúrese de que todos sus plugins se hayan actualizado a su última versión. Además, la actualización debería haber ocurrido en los últimos meses, no más de un año.

Si el plugin no se ha actualizado en mucho tiempo, visite la página web de los autores del complemento y verifique si el plugin es compatible con la última versión de PHP (PHP 7.2).

Si el complemento no es compatible, cambie al plugin más popular y actualizado recientemente que hace lo mismo. Realmente no deberías estar ejecutando ningún plugin que no sea compatible con la última versión. Los plugins mal mantenidos pueden ser riesgos de seguridad.

Paso 3 | Actualizar la versión de PHP

Inicie sesión en su panel de control de alojamiento web, busque la sección de PHP y actualice la versión de PHP para su sitio web. Si esto es demasiado difícil, póngase en contacto con el soporte de alojamiento web para obtener ayuda.

Haga de la seguridad una parte de su proceso de SEO

Los problemas de seguridad no suelen ser parte de SEO. 

Sin embargo, una vez que un sitio web es hackeado y el tráfico de búsqueda desaparece, la seguridad se convierte rápidamente en una pesadilla de SEO. Entonces, ¿por qué esperar hasta que su sitio sea hackeado para agregar seguridad a su kit de herramientas de SEO? Agregue seguridad a su rutina de SEO y evite la crisis de perder tráfico. SEO se trata tanto de retener el tráfico como de ganarlo.

Un complemento que funciona muy bien para la seguridad de su Wordpress es All in one.

¿Qué te ha parecido el artículo?

Please wait…
Web Manager Service

Web Manager Service

Convertir su web en su mejor vendedor, situándola en el lugar oportuno en el momento justo. Hay que estar presentes cuando los clientes busquen o hablen de temas relacionados con su producto o servicio.

No hay comentarios, añade el tuyo a continuación


Añadir un Comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Comentario *
Name *
Email *
Sitio Web

¿CUANDO HACERLO? ¡AHORA! NO LO DUDE

Su competencia ya está allí, compruébelo